> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv2esportsvlrteams matches



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/teams/{team_id}/matches
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v2/esports/vlr/teams/{team_id}/matches:
    get:
      tags:
        - valorant
      operationId: esports_team_matches_v2
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: page
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
      responses:
        '200':
          description: Esports team matches retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2TeamMatchListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2TeamMatchListResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2TeamMatch'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2TeamMatch:
      type: object
      required:
        - match
        - league
        - teams
        - vods
      properties:
        date:
          type:
            - string
            - 'null'
        league:
          $ref: '#/components/schemas/EsportsV2MatchLeague'
        match:
          $ref: '#/components/schemas/EsportsV2IdSlug'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2TeamMatchTeam'
        vods:
          type: array
          items:
            type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchLeague:
      type: object
      required:
        - icon
        - name
        - series
      properties:
        icon:
          type: string
        name:
          type: string
        series:
          type: string
    EsportsV2IdSlug:
      type: object
      required:
        - id
        - slug
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        slug:
          type: string
    EsportsV2TeamMatchTeam:
      type: object
      required:
        - name
        - tag
        - logo
      properties:
        logo:
          type: string
        name:
          type: string
        score:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        tag:
          type: string

````